<!DOCTYPE html>
<html lang="th">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
    <title>jquery.Thailand.js</title>
<link href="../bootstrap/bootstrap.css?1537152537526" rel="stylesheet" type="text/css" />
<link href="../jquery/themes/base/jquery.ui.all.css?1537152537526" rel="stylesheet" type="text/css" />
<link href="../jquery/themes/base/jquery-ui-1.8.2.custom.css?1537152537526" rel="stylesheet" type="text/css" />
<link href="../jquery/js/jquery.contextMenu.css?1537152537526" rel="stylesheet" type="text/css" />
<link href="../jquery/clockpicker/bootstrap-clockpicker.css?1537152537526" rel="stylesheet" type="text/css" />
<link href="../css/font-awesome.min.css?1537152537526" rel="stylesheet" type="text/css" />
<link href="../css/animations.css?1537152537526" rel="stylesheet" type="text/css" />
<link href="../css/custom_form.css?1537152537526" rel="stylesheet" type="text/css" />
<link href="../css/dialog.css?1537152537526" rel="stylesheet" type="text/css" />
<link href="../css/component.css?1537152537526" rel="stylesheet" type="text/css" />
<link href="../css/base_style.css?1537152537526" rel="stylesheet" type="text/css" />
<link href="../css/nav_menu.css?1537152537526" rel="stylesheet" type="text/css" />
<link href="../css/sidebar_menu.css?1537152537526" rel="stylesheet" type="text/css" />
<link href="../css/favor_menu.css?1537152537526" rel="stylesheet" type="text/css" />    
    <link rel="stylesheet" href="../jquery.thailand.js/dist/jquery.thailand.min.css">
    
    <style>
        a, h1, h2, .h2{
            font-family: 'Kanit', sans-serif !important;
            line-height: 1.6em;
        }
        a{
            font-size: 1.4em;
        }
        label{
            font-size: 1.6em;
            display: block;
        }
    </style>
	
<script type="text/javascript" src="../js/modernizr.custom.js?1537152537565"></script>
<script type="text/javascript" src="../js/jquery-1.11.1.js?1537152537565"></script>
<script type="text/javascript" src="../js/fsutil.js?1537152537565"></script>
<script type="text/javascript" src="assets/js/prettify.js?1537152537565"></script>
<script type="text/javascript" src="../bootstrap/bootstrap.js?1537152537565"></script>
<script type="text/javascript" src="../bootstrap/bootbox.js?1537152537565"></script>
<script type="text/javascript" src="../js/base.js?1537152537565"></script>
<script type="text/javascript" src="../js/fslib.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-1.2.1.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/external/jquery.bgiframe-2.1.1.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/ui/jquery.ui.core.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/ui/jquery.ui.widget.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/ui/jquery.ui.menu.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/ui/jquery.ui.mouse.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/ui/jquery.ui.button.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/ui/jquery.ui.draggable.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/ui/jquery.ui.position.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/ui/jquery.ui.resizable.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/ui/jquery.ui.dialog.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/ui/jquery.ui.tabs.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/ui/jquery.ui.datepicker.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/js/jquery.ui.combobox.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/js/jquery.ui.selectbox.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/js/jquery.ui.navigate.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/js/jquery.ui.editor.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/js/jquery.contextMenu.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/js/jquery.fileupload.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/js/jquery.maskedinput.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/js/jquery.maskMoney.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/clockpicker/bootstrap-clockpicker.js?1537152537565"></script>
<script type="text/javascript" src="../jquery/js/jquery.ui.waiting.js?1537152537565"></script>
<script type="text/javascript" src="../js/navbar.menu.js?1537152537565"></script>
<script type="text/javascript" src="../js/sidebar.menu.js?1537152537565"></script>
<script type="text/javascript" src="../js/favorbar.menu.js?1537152537565"></script>
<script type="text/javascript" src="../js/calendar/calendar.js?1537152537565"></script>
<script type="text/javascript" src="../js/date.js?1537152537565"></script>
<script type="text/javascript" src="../js/functions.js?1537152537565"></script>
<script type="text/javascript" src="../angular/angular.js?1537152537565"></script>

    <script type="text/javascript" src="../jquery.thailand.js/dependencies/JQL.min.js"></script>
    <script type="text/javascript" src="../jquery.thailand.js/dependencies/typeahead.bundle.js"></script>    
    <script type="text/javascript" src="../jquery.thailand.js/dist/jquery.thailand.min.js"></script>
	
</head>
<body>

    <div class="uk-container uk-padding">

        <!-- DEMO 1 -->
        <h1>Auto Complete ที่อยู่ อย่างที่มันควรเป็น</h1>

        <div id="loader">
            <div uk-spinner></div> รอสักครู่ กำลังโหลดฐานข้อมูล...
        </div>

        <form id="demo1" class="demo" style="display:none;" autocomplete="off" uk-grid >

            <div class="uk-width-1-2@m">
                <label class="h2">ตำบล / แขวง</label>
                <input name="district" class="form-control input-md" type="text">
            </div>

            <div class="uk-width-1-2@m">
				<label class="h2">อำเภอ / เขต</label>
				<input name="amphoe" class="form-control input-md" type="text">
            </div>

            <div class="uk-width-1-2@m">
                <label class="h2">จังหวัด</label>
                <input name="province" class="form-control input-md" type="text">
            </div>

            <div class="uk-width-1-2@m">
                <label class="h2">รหัสไปรษณีย์</label>
                <input name="zipcode" class="form-control input-md" type="text">
            </div>

			<input name="province_code" id="province_code" class="form-control input-md"/>
			<input name="amphoe_code" id="amphoe_code" class="form-control input-md"/>
			<input name="district_code" id="district_code" class="form-control input-md"/>
        </form>
        <!-- END DEMO 1 -->

        <!-- DEMO 2 -->
        <hr>
        <h2>ใหม่! โหมดค้นหา</h2>
        <form id="demo2" class="demo" style="display:none;" autocomplete="off">
            <label class="h2">ค้นหาที่อยู่ของคุณ</label>
            <small>ลองกรอกอย่างใดอย่างหนึ่ง ตำบล, อำเภอ, จังหวัด หรือ รหัสไปรษณีย์</small>
            <input name="search" class="form-control input-md" type="text">

            <div id="demo2-output" class="uk-margin"></div>
        </form>
        <!-- END DEMO 2 -->    
    </div>
    
	
    
    <script type="text/javascript">
        /******************\
         *     DEMO 1     *
        \******************/ 
        // demo 1: load database from json. if your server is support gzip. we recommended to use this rather than zip.
        // for more info check README.md

        $.Thailand({
            database: '../jquery.thailand.js/database/geodb.json', 

            $district: $('#demo1 [name="district"]'),
            $amphoe: $('#demo1 [name="amphoe"]'),
            $province: $('#demo1 [name="province"]'),
            $zipcode: $('#demo1 [name="zipcode"]'),
			$district_code: $('#district_code'),
			$amphoe_code: $('#amphoe_code'), 
			$province_code: $('#province_code'), 
			
            onDataFill: function(data){				
                console.info('Data Filled', data);
				console.log("json => "+JSON.stringify(data));
            },

            onLoad: function(){
                console.info('Autocomplete is ready!');
                $('#loader, .demo').toggle();
            }
        });

        // watch on change

        $('#demo1 [name="district"]').change(function(){
            console.log('ตำบล', this.value);
        });
        $('#demo1 [name="amphoe"]').change(function(){
            console.log('อำเภอ', this.value);
        });
        $('#demo1 [name="province"]').change(function(){
            console.log('จังหวัด', this.value);
        });
        $('#demo1 [name="zipcode"]').change(function(){
            console.log('รหัสไปรษณีย์', this.value);
        });

        /******************\
         *     DEMO 2     *
        \******************/ 
        // demo 2: load database from zip. for those who doesn't have server that supported gzip.
        // for more info check README.md
        $.Thailand({
            database: '../jquery.thailand.js/database/geodb.json', 
            $search: $('#demo2 [name="search"]'),

            onDataFill: function(data){
                console.log(data)
                var html = '<b>ที่อยู่:</b> ตำบล' + data.district + ' อำเภอ' + data.amphoe + ' จังหวัด' + data.province + ' ' + data.zipcode;
                $('#demo2-output').prepend('<div class="uk-alert-warning" uk-alert><a class="uk-alert-close" uk-close></a>' + html + '</div>');
            }

        });
    </script>
    
</body>
</html>